#include "QToolAbstract.h"

QToolAbstract::QToolAbstract(QObject* parent)
:QObject(parent)
{

}

QToolAbstract::~QToolAbstract()
{

}

void QToolAbstract::setToolXpath(QVector<QString> intoolPath)
{
	this->toolPath = intoolPath;
}

void QToolAbstract::setToolName(QString intoolname)
{
	this->toolname = intoolname;
}

QVector<QString> QToolAbstract::getToolXpath()
{
	return this->toolPath;
}

QString QToolAbstract::getToolName()
{
	return this->toolname;
}

void QToolAbstract::excute()
{
}
